1. Ai
AI Chat
  • API Documentation
  • Ai
    • Get AI List
      GET
  • Chat
    • Create Room
      POST
    • Send Message
      POST
  • Schemas
    • Response
      • Response Get AI List
  1. Ai

Get AI List

Developing
GET
/ai
This endpoint retrieves a list of available AI models along with their configuration details.
The response includes base AI information, default configuration, and provider-specific configurations

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Query Params

Header Params

Responses

🟢200Success
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/ai' \
--header 'x-request-id: {{x-request-id}}' \
--header 'x-client-id: {{x-client-id}}' \
--header 'Authorization: Bearer <token>'
Response Response Example
[
    {
        "_id": "string",
        "provider": "groq",
        "configs": {
            "apiKey": "string",
            "baseUrl": "string",
            "model": "string",
            "temperature": 0,
            "system": "string",
            "tools": [
                "string"
            ]
        },
        "greetingMessage": "string",
        "isCustomerReview": true,
        "status": "a"
    }
]
Modified at 2025-09-28 04:12:29
Previous
API Documentation
Next
Create Room
Built with